YouTube Video Detail
YouTube Video Detail is used to fetch video detail data from YouTube.
- Fetch video details by video URL
- Support multiple video URLs in one request
- Return title, description, views, author, and publish data
- Suitable for video archiving and custom content analysis workflows
Use XCrawl to Fetch YouTube Video Details
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"engine": "youtube_video_detail",
"location": "US",
"video_url_list": ["https://www.youtube.com/watch?v=N0p05Tq7oq0"]
}'Request parameter notes:
enginemust beyoutube_video_detaillocationspecifies the target regionvideo_url_listaccepts one or more video URLs
Response Example
{
"result": [
{
"video_id": "N0p05Tq7oq0",
"video_title": "MIND-BLOWING MacBook Air M5 LEAKS - OLED Screen?",
"video_author": "Matt Talks Tech",
"video_view_count": "36429"
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
video_url_list | array | Accepts one or more YouTube video URLs. |
Parameter Notes
locationdefaults toUS- URLs in
video_url_listshould be full video URLs
Response Fields
Response data is returned under result[].
| Field | Type | Description |
|---|---|---|
video_id | string | Video id. |
video_title | string | Video title. |
video_length | string | Video duration in seconds. |
video_keyword | array | Video tags or keywords. |
video_decs | string | Video description. |
video_thumbnail | string | Primary thumbnail URL. |
video_view_count | string | View count. |
video_author | string | Channel name. |
video_publish_date | string | Publish date. |
video_like_count | string | Like count. |
video_channel_id | string | Channel id. |
video_channel_url | string | Channel URL. |
video_category | string | Video category. |
video_canonical_url | string | Canonical video URL. |
video_thumbnail_list | array | Thumbnail list. |
